package edu.sc.seis.gee.task.dataSetBrowser;

import java.util.EventObject;
import edu.sc.seis.fissuresUtil.xml.DataSet;

/**
 * ParameterSelectionEvent.java
 *
 *
 * Created: Tue Jun 18 14:00:47 2002
 *
 * @author <a href="mailto:">Philip Crotwell</a>
 * @version
 */

public class ParameterSelectionEvent extends EventObject {
    public ParameterSelectionEvent (Object source,
                                    DataSet dataset,
                                    String name, 
                                    Object value, 
                                    boolean selected){
        super(source);
        this.dataset = dataset;
        this.name = name;
        this.value = value;
        this.selected = selected;
    }

    public String getName() {
        return name;
    }

    public DataSet getDataSet() {
        return dataset;
    }

    public Object getValue() {
        return value;
    }

    public boolean isSelected() {
        return selected;
    }
    
    protected String name;

    protected Object value;

    protected boolean selected;

    protected DataSet dataset;

}// ParameterSelectionEvent
